> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog 2026 06 03T13:49:25Z

### Snag Solutions - API Docs (v 0.1)

***

#### What's Changed

***

##### `GET` /api/loyalty/rule\_edits

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    * Changed property `data` (object)

      > Data that was changed on the rule

      * Added property `trackProgress` (boolean)
        > Flag indicating if the progress is tracked. If enabled, the rule can only be completed once the progress is 100%.

      * Changed property `metadata` (object)
        > Optional metadata for the loyalty rule

    * Changed property `previousData` (object)

      > Previous data of the rule before the edit

      * Added property `trackProgress` (boolean)
        > Flag indicating if the progress is tracked. If enabled, the rule can only be completed once the progress is 100%.

      * Changed property `metadata` (object)
        > Optional metadata for the loyalty rule

##### `POST` /api/loyalty/rule\_edits/{id}/restore

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (object)

    > Data that was changed on the rule

    * Added property `trackProgress` (boolean)
      > Flag indicating if the progress is tracked. If enabled, the rule can only be completed once the progress is 100%.

    * Changed property `metadata` (object)
      > Optional metadata for the loyalty rule

  * Changed property `previousData` (object)

    > Previous data of the rule before the edit

    * Added property `trackProgress` (boolean)
      > Flag indicating if the progress is tracked. If enabled, the rule can only be completed once the progress is 100%.

    * Changed property `metadata` (object)
      > Optional metadata for the loyalty rule

##### `GET` /api/loyalty/rule\_groups

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    > Schema for a get loyalty rule groups response

    * Changed property `loyaltyGroupItems` (array)

      Changed items (object):

      * Changed property `loyaltyRule` (object)

        * Changed property `metadata` (object)

          * Deleted property `trackProgress` (boolean)
            > Flag indicating if the progress is tracked. If enabled, the rule can only be completed once the progress is 100%.

##### `GET` /api/loyalty/rules

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    * Added property `trackProgress` (boolean)
      > Flag indicating if the progress is tracked. If enabled, the rule can only be completed once the progress is 100%.

    * Changed property `metadata` (object)
      > Optional metadata for the loyalty rule

##### `POST` /api/loyalty/rules

###### Request:

Changed content type : `application/json`

* Added property `trackProgress` (boolean)
  > Flag indicating if the progress is tracked. If enabled, the rule can only be completed once the progress is 100%.

* Changed property `metadata` (object)

  > Additional metadata for the loyalty rule

  * Deleted property `trackProgress` (boolean)
    > Flag indicating if the progress is tracked. If enabled, the rule can only be completed once the progress is 100%.

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Added property `trackProgress` (boolean)
    > Flag indicating if the progress is tracked. If enabled, the rule can only be completed once the progress is 100%.

  * Changed property `metadata` (object)

    > Additional metadata for the loyalty rule

    * Deleted property `trackProgress` (boolean)
      > Flag indicating if the progress is tracked. If enabled, the rule can only be completed once the progress is 100%.

##### `POST` /api/loyalty/rules/{id}

###### Request:

Changed content type : `application/json`

* Added property `trackProgress` (boolean)
  > Flag indicating if the progress is tracked. If enabled, the rule can only be completed once the progress is 100%.

* Changed property `metadata` (object)

  > Additional metadata for the loyalty rule

  * Deleted property `trackProgress` (boolean)
    > Flag indicating if the progress is tracked. If enabled, the rule can only be completed once the progress is 100%.

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Added property `trackProgress` (boolean)
    > Flag indicating if the progress is tracked. If enabled, the rule can only be completed once the progress is 100%.

  * Changed property `metadata` (object)

    > Additional metadata for the loyalty rule

    * Deleted property `trackProgress` (boolean)
      > Flag indicating if the progress is tracked. If enabled, the rule can only be completed once the progress is 100%.

#### Result

***

API changes are backward compatible
